[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: problem building rpm with glibc-2.3.2



On 12/03/03 18:42, Jeff Johnson wrote:

Net Llama! wrote:

On 12/03/03 07:05, Jeff Johnson wrote:

L. Friedman wrote:

/usr/local/bin/gcc3 -O2 -funroll-loops -ffast-math -fomit-frame-pointer -fno-exceptions -D_GNU_SOURCE -D_REENTRANT -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts -o rpm -static rpm.o ./build/.libs/librpmbuild.a ./lib/.libs/librpm.a ./rpmdb/.libs/librpmdb.a ./rpmio/.libs/librpmio.a -L/usr/local/lib -lz -lbz2 ./popt/.libs/libpopt.a
./lib/.libs/librpm.a(rpmchecksig.o)(.text+0x64b): In function `rpmReSign':
: warning: the use of `mktemp' is dangerous, better use `mkstemp'
/usr/lib/libbz2.a(bzlib.o)(.text+0x2a22): In function `bzopen_or_bzdopen':
: undefined reference to `__ctype_b'
collect2: ld returned 1 exit status
make[2]: *** [rpm] Error 1
make[2]: Leaving directory `/home/netllama/stuff/rpm-4.0.3'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/netllama/stuff/rpm-4.0.3'
make: *** [all-recursive-am] Error 2



This is bzip2, not rpm, problem. Upgrade or rebuild bzip2.



Bingo, that appears to have done the trick for building rpm-4.0.3. Thanks.


I'm trying to build rpm-3.0.6 on the same box, and i'm not having much luck there:

/usr/local/bin/gcc3 -DHAVE_CONFIG_H -I. -I. -I. -I. -O2 -funroll-loops -ffast-math -fomit-frame-pointer -fno-exceptions -D_GNU_SOURCE -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts -c popt.c -fPIC -DPIC -o .libs/popt.lo
popt.c: In function `poptGetNextOpt':
popt.c:596: error: `FLT_MAX' undeclared (first use in this function)
popt.c:596: error: (Each undeclared identifier is reported only once
popt.c:596: error: for each function it appears in.)
popt.c:598: error: `FLT_MIN' undeclared (first use in this function)
make[4]: *** [popt.lo] Error 1
make[4]: Leaving directory `/home/netllama/stuff/rpm-3.0.6/popt'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/netllama/stuff/rpm-3.0.6/popt'
make[2]: *** [all-recursive-am] Error 2
make[2]: Leaving directory `/home/netllama/stuff/rpm-3.0.6/popt'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/netllama/stuff/rpm-3.0.6'
make: *** [all-recursive-am] Error 2



Any obvious things here? thanks.




(aside) I will not ask why you are building rpm-3.0.6, let the bits die please ;-)

I'd be happy to, but the box in question has been running rpm-3.0.6, and i read somewhere (that i can't find now) that the rpm DB from rpm-3.x isn't compatible with rpm-4.x. So, i fear losing my DB if i upgrade. If this is not true, i'll gladly jump to 4.x.



FLT_MIN and FLT_MAX are largest and smallest float point numbers.


Dig a bit in /usr/lib/gcc-lib/*/*/include/float.h for the define. Most any reasonable values will do for popt purposes.

Or just comment out the tests, they are there for range checks on floating numbers passed as args,
hardly anything does this.

This worked, thanks!


--
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
L. Friedman                       	       netllama@linux-sxs.org
Linux Step-by-step & TyGeMo: 		    http://netllama.ipfox.com

6:50pm up 2:01, 1 user, load average: 0.18, 0.07, 0.02




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]